:root {
  --black: #000000;
  --white: #FFFFFF;
  --gray: #858585;
  --white-gray: #E2E2E2;

  --acentos: "Inter", sans-serif;
  --titulos: "Elza Narrow", sans-serif;
  --texto: "Proxima Nova", sans-serif;
  --hispanica: "Oswald", sans-serif;
}

.container-titulo-paquetes{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 150px 0 50px 0;
    gap: 10px;
}

.user{
    width:10px; 
    filter: brightness(0) invert(0);
}

.container-titulo-paquetes p{
    font-family: var(--titulos);
    font-weight: bold;
    font-size: 2rem;
}

.button-acceder{
    display: flex;
    justify-content: center;
    align-items: center;
}

.button-acceder button{
    background-color: var(--white);
    color: var(--black);
    width: fit-content;
    padding: 2px 10px;
    gap: 10px;
    display: flex;
    flex-direction: row;
    font-size: 1rem;
    flex-wrap: nowrap;
    white-space: nowrap;
    font-family: var(--titulos);
    font-weight: bold;
    box-shadow: #858585 0px 2px 2px 0px;
    transition: .3s;
}

.button-acceder img:hover,
.button-acceder button:hover{
    filter: invert(1);
}

.position-calendario{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
}

.container-calendario{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0% 3%;
}

.container-calendario h1{
    font-family: var(--titulos);
    letter-spacing: 1px;
    font-weight: lighter;
}

.clases-status {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;        
  justify-content: center; 
  align-items: center;     
  font-size: 1rem;
  gap: 10px;
  margin-top: 20px;

}

.container-calendario li{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-family: var(--titulos);
    

}

.icon-reserva{
    color: var(--white);
    background-color: #47D774;
    padding: 1px 7px;
    font-weight: bolder;
    font-size: 1rem;
}

.icon-llena{
    color: var(--white);
    background-color: #D23A2E;
    padding: 1px 7px;
    font-weight: bolder;
    font-size: 1rem;
}

.icon-espera{
    color: var(--white);
    background-color: #4B6268;
    padding: 1px 6px;
    font-weight: bolder;
    font-size: 1rem;
}

.icon-group{
    color: var(--white);
    background-color: #4B6268;
    padding: 3px 3px;
    font-weight: bolder;
}

.icon-curso{
    color: var(--white);
    background-color: #D2DB26;
    font-weight: bolder;
    border-radius: 50px;
    padding: 5px;
}






.container-selector {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  width: 100%;
  box-sizing: border-box; 
}

.selector-dias, .selector-fecha {
  display: flex;
  width: 100%; 
}

.selector-dias{
    padding: 0 15px;
}

.selector-dias {
  margin: 20px 0 10px 0; 
}


.dias, .fechas {
  display: flex;
  flex-wrap: nowrap; 
  width: 100%;       
  padding: 0;
  margin: 0;
  list-style: none;
  justify-content: space-between; 
}

.fechas li:hover{
    filter: invert(1);
}

.dias li:hover{
    font-weight: bolder;
    transition: .3s;
}

.fechas {
  background-color: var(--black);
  padding: 5px;
  border-radius: 5px;
}


.dias li, .fechas li {
  flex: 1;           
  text-align: center;
  min-width: 0;      
  display: flex;             
  justify-content: center;   
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease;
  padding: 0px 2px; 
}

.dias li {
  color: var(--black);
  font-size: clamp(1.2rem, 2.5vw, 1rem); 
}

.fechas li {
  color: var(--white);
  background-color: var(--black);
  border-radius: 5px;
}

.fechas li.activo {
  border: 1px solid var(--gray);
  border-radius: 5px;
  font-weight: bolder;
}

.dias li.activo {
  font-weight: bolder;
  font-size: 1.5rem;
}

.flecha {
  font-size: 2rem;
  cursor: pointer;
  padding: 10px;
  flex-shrink: 0;
}





.calendar{
    width: 280px;
    height: auto;
    display: flex;
    flex-direction: column;
    padding: 10px;
    background-color: var(--white);
    border-radius: 10px;
    box-shadow: 0 0 10px rgb(0,0,0,0.3);

}

.calendar-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.calendar-header button{
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background-color: white;
    width: 40px;
    height: 40px;
    font-size: 1.5rem;
}

.days {
    display: grid;
    grid-template-columns: repeat(7,1fr);
}

.day{
    text-align: center;
    padding: 5px;
    color: rgb(142, 142, 142);
    font-family: 500;
}

.dates{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 5px;
    height: 260px;

}

.date{
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
    margin: auto;
    cursor: pointer;
    font-weight: 600;
    border-radius: 1px;
    width: 30px;
    height: 30px;
    transition: .3s;
    border: var(--white-gray) solid 1px;
    background-color: #f6f6f6;
}

.date:hover,
.date.active{
    background-color: #000000;
    color: #FFFFFF;
}

.date.inactive{
    color: #bcbcbc;
    border: none;
    background-color: transparent;
}

.date.inactive:hover{
    color: #afafaf;
}

.monthYear{
    text-align: center;
    font-weight: 600;
    width: 150px;
    font-size: 1.4rem;

}

.btn-reservar-calendar{
    box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.5);
    padding: 4px 20px;
    font-family: var(--texto);
    font-weight: bold;
    border: #f1f1f1 solid 1px;
}

.btn-cancelar-calendar{
    border: var(--white-gray) solid 1px;
    background-color: #f8f8f8;
    padding: 4px 20px;
    font-family: var(--texto);
    font-weight: bold;
}

.btn-cancelar-calendar:hover,
.btn-reservar-calendar:hover{
    background-color: var(--black);
    color: var(--white);
    transition: .3s;
}

.info-fecha {
  padding: 10px;
  border-radius: 8px;
  text-align: center;
  font-family: var(--titulos);
  display: flex;
  gap:5px;
  font-size: 1.4rem;
  letter-spacing: 1px;
}

.info-fecha p {
  margin: 5px 0;
  font-weight: bold;
}

.flex-fecha-hoy{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--black);
    width: 100%;
    max-width: 400px;
    font-size: 1rem;
    
}

.dropdown-calendar{
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    gap:5px;
    font-family: var(--texto);
    font-size: 1rem;
    letter-spacing: -.1px;
    cursor: pointer;
    transition: .5s;
}

.dropdown-calendar img{
    filter: invert(1); 
    width: 15px;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown .dropdown-calendar:hover {
    transform: scale(1.05);
}

.dropdown-content {
  display: none;
  position: absolute;
  min-width: 160px;
  overflow: auto;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  right: 0;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown a:hover {background-color: #ddd;}

.show {display: block;}




.container-reservar-cards{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 3%;
    gap: 1px;
    flex-wrap: wrap;
}

.container-card{
    max-width: 400px;
    width: 100%;
    height: 250px;
    background: white;
    border-radius: 10px;
    padding: 10px;
    transition: 1s;

}

@media (max-width: 400px){
    .container-card{
        height: 300px;
    }

    .img-trainer{
        width: 100px;
        object-fit: cover;
    }

}

.container-card:hover{
    background-color: var(--black);
    color: white;
    transition: .5s;
}

.container-card:hover img{
    filter: invert(0);
    transition: .5s;
}


.border-card{
    width: 100%;
    height: 100%;
    border: var(--gray) solid 1px;
    border-radius: 15px;
    display: flex;
    flex-direction: row;

}

.container-trainer{
    position: relative;
    height: 100%;
}

.img-trainer{
    height: 100%;
    border-radius: 15px 0 0 15px;
}


.text-trainer{
    position: absolute;
    bottom: 10px;
    left: 10px;
}

.text-trainer p{
    font-size: 1rem;
    color: var(--white-gray);
}

.text-trainer h4{
    color: var(--black);
    background-color: white;
    width: fit-content;
    padding:  4px 3px;
    font-size: 1.3rem;
    line-height: 1rem;
    font-weight: lighter;
}

.card-container-details{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
}

.card-contenido{
    padding: 15px 10px 10px 15px;
    width: 100%;
}

.hispanica-logo {
    width:90px;
    filter: invert(1);
}

.card-title{
    display: flex;
    gap: 5px;
    align-items: center;
    margin: 5px 0;
}

.card-title h1{
    font-family: var(--titulos);
    font-size: 1.6rem;
    font-weight: bold;
    line-height: 2.5rem;

}
.card-title h2{
    font-family: var(--titulos);
    font-size: 1.3rem;
    font-weight: light;

}

.link-details{
    font-size: 1rem;
    font-family: var(--texto);
    font-weight: bold;
    text-decoration: underline;
    line-height: 1rem;
    margin: 5px 0 25px 0;
    cursor: pointer;
}

.card-body{
    margin: 5px 10px;
}

.card-time{
    display: flex;
    gap: 5px;
    margin: 10px 0 5px 0;
}

.card-duration{
    font-size: 1.2rem;
    font-family: var(--titulos);
    font-weight: bold;
    line-height: 1.5rem;
}

.card-time span, .card-time p{
    font-size: 1.5rem;
    line-height: 1.3rem;
    font-family: var(--titulos);
    font-weight: bold;
}

.card-group{
    display: flex;
    align-items: center;
    gap: 5px;
}

.card-group img{
    filter: invert(1);
    width: 15px;
}

.card-counter-group{
    display: flex;
    gap: 2px;
    font-size: 1.2rem;
    font-weight: normal;
    font-family: var(--titulos);
    justify-content: center;
    align-items: center;
}

.card-group h5{
    font-size: .9rem;
    font-weight: lighter;
    padding: 0px 5px;
    background-color: #D23A2E;
    color: var(--white);
    font-weight: bolder;

}

.btn-reservar{
    font-size: 1.3rem;
    font-family: var(--titulos);
    font-weight: bold;
    background-color: rgb(243, 243, 243);
    margin: 10px;
    padding: 2px 6px;
    border-radius: 2px;
    cursor: pointer;
    margin-left: 25px;

}

.btn-reservar:hover{
    background-color:rgb(107, 107, 107);
    transition: .3s;
    color: #ffffff;

}

.schedule-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

@media (min-width: 1200px){

    .schedule-grid {
        padding: 0 10%;
    }

}

.btn-reservar.disabled {
    background-color: #555;
    color: #ffffff;
    cursor: not-allowed;
    pointer-events: none;
}


.flex-button{
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 10px 0;
}